//---------------------------------------------------------------------------
#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
#include <jpeg.hpp>
//---------------------------------------------------------------------------
void OpenPort(void);                    // открытие порта
void ClosePort(void);                   // закрытие порта
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TPanel *Panel1;
        TLabel *Label2;
        TLabel *Label16;
        TEdit *Edit1;
        TButton *Button1;
        TButton *Button2;
        TComboBox *ComboBox1;
        TButton *Button3;
        TEdit *Edit2;
        TMainMenu *MainMenu1;
        TMenuItem *File1;
        TMenuItem *Open1;
        TMenuItem *Save1;
        TMenuItem *SaveLogas1;
        TMenuItem *N4;
        TMenuItem *Exit1;
        TMenuItem *ChipSelect1;
        TMenuItem *Help1;
        TMenuItem *About1;
        TMenuItem *LoadProgramfromFile1;
        TMenuItem *SaveProgramtoFile1;
        TMenuItem *N1;
        TMenuItem *AVRtiny1;
        TMenuItem *PIC16F6301;
        TPanel *Panel3;
        TPageControl *PageControl1;
        TTabSheet *TabSheet1;
        TTabSheet *TabSheet2;
        TRichEdit *RichEdit1;
        TLabel *Label3;
        TRichEdit *RichEdit2;
        TLabel *Label4;
        TLabel *Label5;
        TRichEdit *RichEdit3;
        TLabel *Label6;
        TRichEdit *RichEdit4;
        TLabel *Label7;
        TRichEdit *RichEdit5;
        TOpenDialog *OpenDialog1;
        TSaveDialog *SaveDialog1;
        TMemo *Memo1;
        TButton *Button4;
        TButton *Button8;
        TButton *Button5;
        TButton *Button9;
        TButton *Button6;
        TButton *Button10;
        TButton *Button7;
        TButton *Button11;
        TMenuItem *Edit3;
        TMenuItem *LockFuses1;
        TTrackBar *TrackBar1;
        TLabel *Label1;
        TMenuItem *RH0010Connection1;
        TMenuItem *N2;
        TRichEdit *RichEdit6;
        TLabel *Label8;
        TLabel *Label9;
        TRichEdit *RichEdit7;
        TMenuItem *LoadAllfromFile1;
        TMenuItem *SaveAlltoFile1;
        TMenuItem *N3;
        TMenuItem *LoadConfigfromFile1;
        TMenuItem *SaveConfigtoFile1;
        TMenuItem *N5;
        TMenuItem *PIC16F6761;
        TMenuItem *PIC121;
        TMenuItem *PIC12F6291;
        TMenuItem *PIC12F6751;
        TCheckBox *CheckBox1;
        TCheckBox *CheckBox2;
        TMenuItem *PIC12F6351;
        TMenuItem *PIC12F6831;
        TMenuItem *PIC16F6311;
        TMenuItem *PIC16F6361;
        TMenuItem *PIC16F6771;
        TMenuItem *PIC16F6841;
        TMenuItem *PIC16F6851;
        TMenuItem *PIC16F6871;
        TMenuItem *PIC16F6881;
        TMenuItem *PIC16F6891;
        TMenuItem *PIC16F6901;
        TMenuItem *PIC12F7521;
        TMenuItem *PIC12F15011;
        TMenuItem *PIC12LF15011;
        TMenuItem *PIC16F15031;
        TMenuItem *PIC16LF15031;
        TMenuItem *PIC16F15071;
        TMenuItem *PIC16LF15071;
        TMenuItem *PIC16F15081;
        TMenuItem *PIC16LF15081;
        TMenuItem *PIC16F15091;
        TMenuItem *PIC16LF15091;
        TMenuItem *PIC12F6151;
        TMenuItem *PIC12F6171;
        TMenuItem *PIC12F6091;
        TMenuItem *PIC16F6101;
        TMenuItem *PIC16F6161;
        TMenuItem *PIC12F18221;
        TMenuItem *PIC12LF18221;
        TMenuItem *PIC16F18231;
        TMenuItem *PIC16LF18231;
        TMenuItem *PIC16F18241;
        TMenuItem *PIC16LF18241;
        TMenuItem *PIC16F18251;
        TMenuItem *PIC16LF18251;
        TMenuItem *PIC16F18261;
        TMenuItem *PIC16LF18261;
        TMenuItem *PIC16F18271;
        TMenuItem *PIC16LF18271;
        TMenuItem *PIC16F18281;
        TMenuItem *PIC16LF18281;
        TMenuItem *PIC16F18291;
        TMenuItem *PIC16LF18291;
        TMenuItem *N6;
        TMenuItem *N7;
        TMenuItem *PIC12F18401;
        TMenuItem *PIC12LF18401;
        TMenuItem *PIC16F18471;
        TMenuItem *PIC16LF18471;
        TMenuItem *PIC16F7531;
        TMenuItem *PIC16F7851;
        TMenuItem *PIC16F627A1;
        TMenuItem *PIC16F628A1;
        TMenuItem *PIC16F648A1;
        TMenuItem *PIC16F7071;
        TMenuItem *PIC16LF7071;
        TMenuItem *PIC16F7201;
        TMenuItem *PIC16LF7201;
        TMenuItem *PIC16F7211;
        TMenuItem *PIC16LF7211;
        TMenuItem *N8;
        TMenuItem *PIC16F7221;
        TMenuItem *PIC16LF7221;
        TMenuItem *PIC16F722A1;
        TMenuItem *PIC16LF722A1;
        TMenuItem *PIC16F7231;
        TMenuItem *PIC16LF7231;
        TMenuItem *PIC16F723A1;
        TMenuItem *PIC16LF723A1;
        TMenuItem *PIC16F7261;
        TMenuItem *PIC16LF7261;
        TMenuItem *PIC16F7241;
        TMenuItem *PIC16LF7241;
        TMenuItem *PIC16F7271;
        TMenuItem *PIC16LF7271;
        TMenuItem *N9;
        TMenuItem *PIC16F8821;
        TMenuItem *PIC16F8831;
        TMenuItem *PIC16F8841;
        TMenuItem *PIC16F8861;
        TMenuItem *PIC16F8871;
        TLabel *Label10;
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall ComboBox1Change(TObject *Sender);
        void __fastcall Exit1Click(TObject *Sender);
        void __fastcall SaveLogas1Click(TObject *Sender);
        void __fastcall About1Click(TObject *Sender);
        void __fastcall RichEditsKeyPress(TObject *Sender, char &Key);
        void __fastcall Edit2KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall RichEdit1KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall RichEdit3KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall RichEdit2KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall RichEdit4KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall LoadProgramfromFile1Click(TObject *Sender);
        void __fastcall Open1Click(TObject *Sender);
        void __fastcall SaveProgramtoFile1Click(TObject *Sender);
        void __fastcall Save1Click(TObject *Sender);
        void __fastcall Button3Click(TObject *Sender);
        void __fastcall Button11Click(TObject *Sender);
        void __fastcall Button7Click(TObject *Sender);
        void __fastcall Button6Click(TObject *Sender);
        void __fastcall Button10Click(TObject *Sender);
        void __fastcall Button5Click(TObject *Sender);
        void __fastcall Button9Click(TObject *Sender);
        void __fastcall Button4Click(TObject *Sender);
        void __fastcall Button8Click(TObject *Sender);
        void __fastcall LockFuses1Click(TObject *Sender);
        void __fastcall TrackBar1Change(TObject *Sender);
        void __fastcall RH0010Connection1Click(TObject *Sender);
        void __fastcall PIC16F6301Click(TObject *Sender);
        void __fastcall RichEdit6KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall RichEdit7KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall LoadAllfromFile1Click(TObject *Sender);
        void __fastcall LoadConfigfromFile1Click(TObject *Sender);
        void __fastcall SaveAlltoFile1Click(TObject *Sender);
        void __fastcall SaveConfigtoFile1Click(TObject *Sender);
        void __fastcall PIC16F6761Click(TObject *Sender);
        void __fastcall PIC12F6291Click(TObject *Sender);
        void __fastcall PIC12F6751Click(TObject *Sender);
        void __fastcall PIC12F6351Click(TObject *Sender);
        void __fastcall PIC12F6831Click(TObject *Sender);
        void __fastcall PIC16F6311Click(TObject *Sender);
        void __fastcall PIC16F6361Click(TObject *Sender);
        void __fastcall PIC16F6771Click(TObject *Sender);
        void __fastcall PIC16F6841Click(TObject *Sender);
        void __fastcall PIC16F6851Click(TObject *Sender);
        void __fastcall PIC16F6871Click(TObject *Sender);
        void __fastcall PIC16F6881Click(TObject *Sender);
        void __fastcall PIC16F6891Click(TObject *Sender);
        void __fastcall PIC16F6901Click(TObject *Sender);
        void __fastcall PIC12F7521Click(TObject *Sender);
        void __fastcall PIC12F15011Click(TObject *Sender);
        void __fastcall PIC12LF15011Click(TObject *Sender);
        void __fastcall PIC16F15031Click(TObject *Sender);
        void __fastcall PIC16LF15031Click(TObject *Sender);
        void __fastcall PIC16F15071Click(TObject *Sender);
        void __fastcall PIC16LF15071Click(TObject *Sender);
        void __fastcall PIC16F15081Click(TObject *Sender);
        void __fastcall PIC16LF15081Click(TObject *Sender);
        void __fastcall PIC16F15091Click(TObject *Sender);
        void __fastcall PIC16LF15091Click(TObject *Sender);
        void __fastcall PIC12F6151Click(TObject *Sender);
        void __fastcall PIC12F6171Click(TObject *Sender);
        void __fastcall PIC12F6091Click(TObject *Sender);
        void __fastcall PIC16F6101Click(TObject *Sender);
        void __fastcall PIC16F6161Click(TObject *Sender);
        void __fastcall PIC12F18221Click(TObject *Sender);
        void __fastcall PIC12LF18221Click(TObject *Sender);
        void __fastcall PIC16F18231Click(TObject *Sender);
        void __fastcall PIC16LF18231Click(TObject *Sender);
        void __fastcall PIC16F18241Click(TObject *Sender);
        void __fastcall PIC16LF18241Click(TObject *Sender);
        void __fastcall PIC16F18251Click(TObject *Sender);
        void __fastcall PIC16LF18251Click(TObject *Sender);
        void __fastcall PIC16F18261Click(TObject *Sender);
        void __fastcall PIC16LF18261Click(TObject *Sender);
        void __fastcall PIC16F18271Click(TObject *Sender);
        void __fastcall PIC16LF18271Click(TObject *Sender);
        void __fastcall PIC16F18281Click(TObject *Sender);
        void __fastcall PIC16LF18281Click(TObject *Sender);
        void __fastcall PIC16F18291Click(TObject *Sender);
        void __fastcall PIC16LF18291Click(TObject *Sender);
        void __fastcall PIC12F18401Click(TObject *Sender);
        void __fastcall PIC12LF18401Click(TObject *Sender);
        void __fastcall PIC16F18471Click(TObject *Sender);
        void __fastcall PIC16LF18471Click(TObject *Sender);
        void __fastcall PIC16F7531Click(TObject *Sender);
        void __fastcall PIC16F7851Click(TObject *Sender);
        void __fastcall PIC16F627A1Click(TObject *Sender);
        void __fastcall PIC16F628A1Click(TObject *Sender);
        void __fastcall PIC16F648A1Click(TObject *Sender);
        void __fastcall PIC16F7071Click(TObject *Sender);
        void __fastcall PIC16LF7071Click(TObject *Sender);
        void __fastcall PIC16F7201Click(TObject *Sender);
        void __fastcall PIC16LF7201Click(TObject *Sender);
        void __fastcall PIC16F7211Click(TObject *Sender);
        void __fastcall PIC16LF7211Click(TObject *Sender);
        void __fastcall PIC16F7221Click(TObject *Sender);
        void __fastcall PIC16LF7221Click(TObject *Sender);
        void __fastcall PIC16F722A1Click(TObject *Sender);
        void __fastcall PIC16LF722A1Click(TObject *Sender);
        void __fastcall PIC16F7231Click(TObject *Sender);
        void __fastcall PIC16LF7231Click(TObject *Sender);
        void __fastcall PIC16F723A1Click(TObject *Sender);
        void __fastcall PIC16LF723A1Click(TObject *Sender);
        void __fastcall PIC16F7261Click(TObject *Sender);
        void __fastcall PIC16LF7261Click(TObject *Sender);
        void __fastcall PIC16F7241Click(TObject *Sender);
        void __fastcall PIC16LF7241Click(TObject *Sender);
        void __fastcall PIC16F7271Click(TObject *Sender);
        void __fastcall PIC16LF7271Click(TObject *Sender);
        void __fastcall PIC16F8821Click(TObject *Sender);
        void __fastcall PIC16F8831Click(TObject *Sender);
        void __fastcall PIC16F8841Click(TObject *Sender);
        void __fastcall PIC16F8861Click(TObject *Sender);
        void __fastcall PIC16F8871Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
extern unsigned int Delays;
//---------------------------------------------------------------------------
#endif
